Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core
Class Progress

    java.lang.Object
      org.basex.core.Progress

Direct Known Subclasses:
  AbstractProcess, Builder, FTBuilder, QueryContext, QueryProcessor, ValueBuilder, WordBuilder

    public abstract class Progress

extends java.lang.Object

This class is implemented by all kinds of processes. It gives feedback on the current process. Moreover, it allows to interrupt the process by calling the `stop()` method.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Constructor Summary
`Progress()`

Method Summary
`java.lang.String` | `detail()` Returns detailed information on the current process or sub process.
`java.lang.String` | `header()` Returns short information on the current process or sub process.
`double` | `progress()` Returns a progress value (0 - 1).
`void` | `progress(Progress prog)` Sets a sub progress.
`void` | `stop()` Stops a process or sub process.
`boolean` | `stopped()` Returns the stop flag.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Progress

    public Progress()

Method Detail

### detail

    public final java.lang.String detail()

  Returns detailed information on the current process or sub process.

  Returns:
    information in detail

### header

    public final java.lang.String header()

  Returns short information on the current process or sub process.

  Returns:
    header information

### progress

    public final double progress()

  Returns a progress value (0 - 1).

  Returns:
    header information

### progress

    public final void progress(Progress prog)

  Sets a sub progress.

  Parameters:
    `prog` - progress

### stop

    public final void stop()

  Stops a process or sub process.

### stopped

    public final boolean stopped()

  Returns the stop flag.

  Returns:
    stop flag

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD